Bug 1956111

Summary: Build for Fedora 34 / armhfp are using & generating fc35 / armhfp package
Product: [Community] Copr Reporter: Jérôme Audu <jau>
Component: backendAssignee: Pavel Raiskup <praiskup>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: praiskup
Target Milestone: ---   
Target Release: ---   
Hardware: armhfp   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-16 10:16:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jérôme Audu 2021-05-02 19:58:00 UTC
Description of problem:

In my copr project, https://copr.fedorainfracloud.org/coprs/waby38/4kopen
I've enabled both fedora-33-armhfp & fedora-34-armhfp

After sending a build generation from (example)
copr-cli build waby38/4kopen ply-2.1.1-2.fc34.src.rpm

=> 2 x build success 
https://copr.fedorainfracloud.org/coprs/waby38/4kopen/build/2153615/

fedora-33-armhfp  is ok, 
fedora-34-armhfp is broken
https://download.copr.fedorainfracloud.org/results/waby38/4kopen/fedora-34-armhfp/02153615-ply/
=> .rpm are build for fc35 armhfp
  => builder-live.log.gz show that they are using FC35 rpm for building
     https://download.copr.fedorainfracloud.org/results/waby38/4kopen/fedora-34-armhfp/02153615-ply/builder-live.log.gz

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. enable both fedora-33-armhfp & fedora-34-armhfp in settings=> project details => builds options
2. use "copr-cli build .src.rpm" to build your .rpm
3. check result in fedora-34-armhfp directory

Actual results:

content of fedora-34-armhfp is a FC35 armhfp build

Expected results:

fedora-34-armhfp should build for FC34 armhfp

Additional info:

Comment 1 Pavel Raiskup 2021-06-15 06:23:16 UTC
Thank you for the report and sorry for the late reply, this was missed by our radar.

Comment 3 Jérôme Audu 2021-06-16 08:22:21 UTC
Thanks for the fix, I confirm that now build are corrects for fedora 34/armhfp

You can close this BZ

Comment 4 Pavel Raiskup 2021-06-16 10:16:41 UTC
Thanks, closing then.